BibRefException (BioJava-1.5-beta API)
Keywords: org.biojava.bibliography.BibRefException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bibliography
Class BibRefException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.bibliography.BibRefException

All Implemented Interfaces:
  Serializable

    public class BibRefException

extends Exception

An exception raised when communciation with the BibRef APIs fails.

Since:
  1.4
Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`BibRefException(String message)` Create a new BibRefException with a message.
`BibRefException(String message, Throwable cause)` Create a nw BibRefException with a message and a root cause.
`BibRefException(Throwable cause)` Create a new BibRefException with a root cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BibRefException

    public BibRefException(String message)

  Create a new BibRefException with a message.

  Parameters:
    `message` - the message of the exception

### BibRefException

    public BibRefException(Throwable cause)

  Create a new BibRefException with a root cause.

  Parameters:
    `cause` - the unerlying cause of this exception

### BibRefException

    public BibRefException(String message,
                           Throwable cause)

  Create a nw BibRefException with a message and a root cause.

  Parameters:
    `message` - the message for the exception
    `cause` - the underlying cuase of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD